def indentMultilineStr(s: str, indentWith='\t'):
    indented = indentWith + s.replace('\n', '\n' + indentWith)
    if s.endswith('\n'):
        indented = indented[:len(indented)-len(indentWith)]
    return indented

def asString(o: object):
    attrs = vars(o)  # attributes and their values
    return '\n'.join("%s: %s" % item for item in attrs.items())


def asBoolean(booleanValue: str):
    """
    :param booleanValue: Some boolean value in string representation
    :return: the boolean value as boolean object
    :raise ValueError: If booleanValue could not be parsed as boolean object
    """
    if booleanValue.lower() in ['true', 'yes']:
        return True
    elif booleanValue.lower() in ['false', 'no']:
        return False
    else:
        raise ValueError("booleanValue (string) could not be parsed to boolean object!")

# def listAsString(l: list):
#     x = ["(", ")"]
#     return ", ".join(l).join(x)
